Applications
Update Application
Update an application. Config changes re-render the served bundle (cache invalidated).
Authorization
bearerAuth AuthorizationBearer <token>
API token generated from the fastmon dashboard (Account → API Token). Send as Authorization: Bearer fm_... or paste the full token (including the fm_ prefix) into the Authorize dialog.
In: header
Path Parameters
app_id*App Id
Format
uuidRequest Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/applications/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6", "name": "string", "environment": "prod", "data_retention_days": 0, "store_stitch": true, "count_visitors_by": "stitch", "site_policy": "open", "source_hash": "string", "collector_hash": "string", "collect_sessions": true, "collect_fetch_xhr": true, "session_consent": "deferred", "collect_error_messages": true, "collect_error_frames": true, "collect_query_keys": true, "collect_query_values_for": [], "pagetype_ruleset": "", "collector_mode": "default", "collector_endpoint": "string", "source_version": "string", "is_active": true, "site_count": 0, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}{ "error": { "code": "string", "message": "string", "request_id": "string", "doc_url": "string", "details": {} }}